<qml title="Linux Loader">

  <h1>Linux Loader</h1>

  <p>
    The Linux Loader, called <em>LILO</em> is used to boot 
    Linux, and possibly other operating systems, on system
    startup.
  </p>


  <h2>Selecting other Operating Systems</h2>

  <p>
    Use the list at the top of the screen to select the partitions
    of any operating systems you might want to boot. This is
    important, since LILO is normally started before other operating
    system loaders and takes control of the boot process. Thus
    failure to create LILO entries pointing to them, could
    render the other systems unbootable.
  </p>

  <p>
    Your new OpenLinux system will be booted by default. Pressing
    the Tab key at the boot prompt will display a list of the
    labels for the entries you created. You can boot into a system
    by entering its label and pressing return.
  </p>
 

  <h2>Installation Target</h2>
 
  <p>
    LILO can be installed into different areas of your disk.
    You should choose one of the following options that best
    suits your set-up.
  </p>

  <p>
    <em>
      Be careful not to install LILO in a location where a boot
      loader is already installed, since this will overwrite and
      destroy the other loader, possibly rendering that system
      unbootable!
    </em>
  </p>

  
  <h3>Master Boot Record</h3>

  <p>
    This option will install LILO in the Master Boot Record of a
    disk, also often referred to as <em>MBR</em>. It is located at
    the beginning of a hard drive and is the first place your computer
    looks for a boot loader on that drive.
  </p>

  <p>
    Please also remove any Master Boot Record LILO installations
    before uninstalling your Linux system.
  </p>

  <p>
    <em>This option is normally not recommended!</em>
  </p>


  <h3>Target Partition</h3>

  <p>
    This option will install LILO into the root partition of
    your newly installed system. 
  </p>

  <p>
    This is the recommended location for installing LILO.
  </p>


  <h3>Other location</h3>
  
  <p>
    This option gives experts full control over where LILO
    can be installed. On systems with a complicated boot
    set-up, e.g. with more than one operating system and
    cascading boot loaders, this can be helpful.
  </p>

  <p>
    Use this option with caution, since using it wrongly can render
    some or all of the systems on your computer unbootable,
    including your newly installed Linux systems!
  </p>

  <p>
    <em>
      This option is not recommended for inexperienced users!
    </em>
  </p>

</qml>
