<qml title="Set Up Networking">

  <h1>Set Up Networking</h1>

  <p>
    This page will let you configure <a href="def_tcpip.qml">TCP/IP</a>
    networking for Ethernet devices. If the computer uses dial-up
    networking or is connected to a different type of network, please
    set up networking <em>after</em> OpenLinux is completely installed.
    For information on how to set up other types of network devices,
    please see <b>http://support.calderasystems.com</b>.
  </p>


  <h3>Configuration Parameters</h3>

  <p>
    The fields break down as such:
  </p>

  <ul>
    <li><b>IP Address:</b> - The actual address of your machine on the
      network you are connecting to.
    <li><b>Netmask:</b> - Indicates which of the four bytes in the
      address are used for the network specification.  The number(s)
      left over specify individual machine addresses.  A
      byte is masked as a network specifier by entering <b>255</b>
      in its position (for instance, a netmask of 255.255.255.0
      indicates that the first three bytes hold values that make
      up the actual network address, leaving the last, un-masked byte 
      to be used for individual machine addresses).
    <li><b>Gateway:</b> - This is the address of the machine that 
      acts as a portal out to another network, most commonly
      out to the Internet.  
    <li><b>Name server:</b> - The machine pointed to here runs a server
      package that translates machine names to IP addresses (for 
      instance, it would take <b>www.calderasystems.com</b> and
      translate it to <b>207.179.39.7</b>).
    <li><b>Backup #1:</b> - Here, you specify a backup name server in 
      case the main one becomes inaccessible.
    <li><b>NIS domain:</b> - If your machine is going to be connected
      to a network that is to be managed by NIS, enter the NIS domain
      in this field.  Otherwise, leave it blank.
    <li><b>Hostname:</b> - Enter the full name for your machine, domain
      and all (for instance, if your machine name is "fred" and you
      are on a network that uses "void.com" as a domain name, you
      would enter "fred.void.com" in this field).  
  </ul>


  <p>
    If you are setting up a private network, i.e. a network that
    is not directly connected to the Internet, the following might
    be helpful:
  </p>

  <ul>
    <li>A range of addresses is reserved by the TCP/IP
      protocol specifications that you can use for private,
      "class C" networks: 192.168.0.0 to 192.168.255.0.  You
      can safely use any addresses in this range for your 
      individual machines as long as no two machines on the same
      network share the same IP address.
    <li>Unless you wish to split your network into "subnets", 
      255.255.255.0 should be used as your netmask.
    <li>Unless your network is connected to another network through
      another machine running TCP/IP, do not specify a gateway
      address!  Only use this if you are actually "gating" out 
      to a separate network. An example of this is a network that
      has one machine that is actually connected to the Internet
      while all other machines pipe out to the Internet through it.
      That first, Internet-connected machine would be the gateway
      for the other machines. Those  who only access the
      Internet through a modem typically do <em>not</em> 
      specify a gateway address here.
  </ul>


  <h3>No Ethernet</h3>
  
  <p>
    This option skips the configuration of Ethernet devices completely.
    You will, however, be able to select a host name for your system. 
  </p>

  <p>
    Use this option if you will not be directly connected to an
    Ethernet network or if you want to do configuration later.
    You can configure other types of network adapters and dial-up
    networking with <em>COAS</em> after the installation is
    complete.
  </p>


  <h3>Ethernet configured statically</h3>

  <p>
    If you have an Ethernet card and wish to manually configure
    <a href="def_tcpip.qml">TCP/IP</a> networking, select this
    option. Then enter your machine's networking parameters into
    the appropriate fields. Whatever you do, do not randomly select
    addresses to enter in these fields! If you are already on a
    TCP/IP network, you could very easily take someone else's address
    if you are not careful.
  </p>

  <p>
    If there is a DHCP server on the network, you can simply enter
    the IP address. Your computer will then query the server and
    fill in the remaining parameters.
  </p>

  <p>
    You should use this option if you want to manually assign the
    computers IP address, or if you have no DHCP server on your network.
  </p>
  

  <h3>Ethernet configured by DHCP</h3>

  <p>
    This option tells your computer to automatically get its
    networking configuration from a DHCP server on the network.
    When configured with this option, the computer will also
    query the DHCP server every time it boots, dynamically
    updating its configuration.
  </p>

  <p>
    Use this option if you have a DHCP server set up for your
    network and want your networking configured dynamically.
  </p>

</qml>
