<qml title="Root Partition Selection">

  <h1>Root Partition Selection</h1>

  <h2>
    <a name="Overview">
      Overview
    </a>
  </h2>
  <p>
    This screen allows you to select the <a
    href="def_rootpart.qml">root</a> partition on which the OpenLinux
    system will reside.  The <strong>root</strong> partition contains the
    core Linux system, and usually also holds most of the applications.
    The root <a href="def_partition.qml">partition</a> also hosts the 
    <a href="def_kernel.qml">kernel</a>, and thus also is the Linux 
    <i>boot partition</i>.
  </p>

  <p>
    The root partition must be entirely within the first 1024 cylinders
    of your hard disk. Otherwise your system might not be able to boot.
    Partitions that end above the 1024th cylinder are grayed out in
    the dialog, as they are not appropriate to boot from. If you are
    sure about what you are doing, you can bypass this check by
    going back and selecting the <b>Custom</b> partitioning option.
  </p>

  <h2>
    <a name="Information Description">
      Information Description
    </a>
  </h2>
  <p>
    On the root partition selection screen, you will see a window that
    includes information about your hard disk. Each column is described
    in more detail below.  In this dialog, you can select which partition
    you wish to be the OpenLinux root partition.
  </p>
  <h3>
    <a name="Device">
      Device Name
    </a>
  </h3>
  <p>
    Each device name in the <strong>Device</strong> column refers to a hard
    disk, CDROM drive, or other partitionable device. Partitions on each
    device are also included.  Device names for drives and partitions in
    OpenLinux are as follows:
  </p>
  <ul>
    <li>
      IDE/ATAPI devices
    </li>
    <ul>
      <li>
        <strong>/dev/hda</strong> = Primary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdb</strong> = Primary IDE channel, Slave Device
      </li>
      <li>
        <strong>/dev/hdc</strong> = Secondary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdd</strong> = Secondary IDE channel, Slave Device
      </li>
    </ul>
    <li>
      SCSI devices
    </li>
    <ul>
      <li>
        <strong>/dev/sda</strong> = The first SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdb</strong> = The second SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdc</strong> = The third SCSI hard disk/CDROM drive
      </li>
      <li>
        and so on.
      </li>
    </ul>
  </ul>
  <p>
    Most pre-built systems include one IDE hard disk and one ATAPI CDROM
    drive.  On those systems, the default is usually to have the IDE hard
    disk as the Primary Master device, or <strong>/dev/hda</strong>, and the
    CDROM drive as the Secondary Master device, or <strong>/dev/hdc</strong>.
  </p>
  <p>
    Each drive can be divided into multiple partitions. However, before
    using such partitions, they must be initialized, or formatted, in a
    certain way depending on what system will be using it. 
    Those system types are described in the
    <a href="fdisk.qml#System">System</a> section below.
  </p>
  <p>
    The convention for referencing paritions on each hard drive is to simply
    append a number to the end of the disk's device name, starting with 1
    (one).  For example, the first partition on the Primary Master IDE disk
    is referenced by <strong>/dev/hda1</strong>, the second partition on
    the same disk is <strong>/dev/hda2</strong>, and so on.
  </p>
  <h3>
    <a name="System">
      System (<strong>Used as</strong> column)
    </a>
  </h3>
  <p>
    The <strong>System</strong> column contains the type of system for
    which the partition will be formatted. Before a partition can be used to 
    store data or contain an operating system, it must be formatted.  The 
    available types of formatting are:
    <ul>
      <li>
        <a href="def_linux-native.qml">Linux Native</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li>
        <a href="def_extended.qml">Extended</a>
      </li>
      <li>
        <a href="def_doswin.qml">DOS / Windows</a>
      </li>
    </ul>
  </p>
  <h3>
    <a name="Size">
      Size
    </a>
  </h3>
  <p>
    The <strong>Size</strong> column contains the current size of the
    corresponding partition in megabytes.
  </p>
</qml>
