<qml title="Partitionnement des disques durs">
  <h1>
      Partitionnement des disques durs
  </h1>
  <h2>
    <a name="Overview">
      Sommaire
    </a>
  </h2>
  <p>
    Avant l'installation de Linux, vous devez crer des <a
    href="def_partition.qml">partitions</a> pour l'hberger.
    Deux partitions sont gnralement requises : la partition
    <a href="def_rootpart.qml">racine</a> et la partition de
    <a href="def_linux-swap.qml">swap</a> d'OpenLinux.
    D'autres partitions peuvent tre montes dans d'autres rpertoires
    du systme de fichiers d'OpenLinux, tel l'espace de stockage
    local des utilisateurs (/home) rsidant dans sa propre partition,
    comme dcrit dans la section <a href="fdisk.qml#Mount Point">Point
    de montage</a>.
  </p>
  <h2>
    <a name="Information Description">
      Description des informations
    </a>
  </h2>
  <p>
    Dans l'cran de partitionnement du disque dur, une fentre affiche
    des informations sur votre disque. Chaque colonne de cette fentre
    est dcrite de faon dtaille ci-dessous.
  </p>
  <h3>
    <a name="Device">
      Priphrique
    </a>
  </h3>
  <p>
    Chaque nom de priphrique de la colonne <strong>Priphrique</strong>
    dsigne un disque dur, un lecteur de CD ou une unit partitionnable.
    Les partitions de chaque priphrique sont aussi indiques. Les noms
    de priphrique des units et des partitions dans OpenLinux sont les
    suivants.
  </p>
  <ul>
    <li>
      Priphriques IDE/ATAPI
    </li>
    <ul>
      <li>
        <strong>/dev/hda</strong> = Canal primaire IDE, priphrique matre
      </li>
      <li>
        <strong>/dev/hdb</strong> = Canal primaire IDE, priphrique asservi
      </li>
      <li>
        <strong>/dev/hdc</strong> = Canal secondaire IDE, priphrique matre
      </li>
      <li>
        <strong>/dev/hdd</strong> = Canal secondaire IDE, priphrique asservi
      </li>
    </ul>
    <li>
      Priphriques SCSI
    </li>
    <ul>
      <li>
        <strong>/dev/sda</strong> = Premier disque dur/lecteur de CD SCSI
      </li>
      <li>
        <strong>/dev/sdb</strong> = Deuxime disque dur/lecteur de CD SCSI
      </li>
      <li>
        <strong>/dev/sdc</strong> = Troisime disque dur/lecteur de CD SCSI
      </li>
      <li>
        et ainsi de suite.
      </li>
    </ul>
  </ul>
  <p>
    La plupart des systmes construits en usine incluent un disque dur
    IDE et un lecteur de CD ATAPI. Dans ces systmes, la configuration
    par dfaut comprend normalement un disque dur IDE,
    <strong>/dev/hda</strong>, comme priphrique primaire matre et un
    lecteur de CD, <strong>/dev/hdc</strong>, comme priphrique
    secondaire matre.
  </p>
  <p>

    Chaque unit est divise en partitions. Cependant, avant d'utiliser
    ces partitions, elles doivent tre configures, ou formates d'une
    certaine manire, selon le systme des donnes qui y seront
    stockes. Ces systmes sont lists dans la section
    <a href="fdisk.qml#System">Systme</a> ci-dessous.
  </p>
  <p>
    La convention pour rfrencer les partitions de chaque unit est
    tout simplement d'ajouter un chiffre  la fin du nom du priphrique
    de disque, en commenant par 1 (un). Par exemple, la premire
    partition du disque primaire matre IDE est indique par
    <strong>/dev/hda1</strong>,
    la deuxime partition du mme disque est <strong>/dev/hda2</strong>,
    et ainsi de suite.
  </p>
  <h3>
    <a name="Start">
      Dbut
    </a>
  </h3>
  <p>
    La colonne <strong>Dbut</strong> dsigne le
    <a href="def_sectors.qml">secteur</a> de dbut de la partition (ou
    du disque) correspondante. Par exemple, si /dev/hda1 commence au
    dbut du disque, son secteur de dbut est 1.
  </p>
  <p>
    Voir aussi :  <a href="fdisk.qml#End">Fin</a>
  </p>
  <h3>
    <a name="End">
      Fin
    </a>
  </h3>
  <p>
    La colonne <strong>Fin</strong> ressemble  la colonne
    <a href="fdisk.qml#Start">Dbut</a>, except qu'elle reprsente le
    <a href="def_sectors.qml">secteur</a> de fin de la partition ou du
    disque. Les secteurs <strong>Dbut</strong> et <strong>Fin</strong>
    reprsentent la <a href="def_sector-range.qml">fourchette </a> des
    secteurs utiliss par une partition ou un disque particulier.
  </p>
  <h3>
    <a name="Size">
      Taille
    </a>
  </h3>
  <p>
    La colonne <strong>Taille</strong> indique la taille actuelle des
    partitions correspondantes. Mo signifie mgaoctet.
  </p>
  <h3>
    <a name="System">
      Systme
    </a>
  </h3>
  <p>
    La colonne <strong>Systme</strong> indique le type de systme pour
    lequel la partition sera formate. Avant d'utiliser une partition
    pour y stocker des donnes ou y hberger un systme d'exploitation,
    elle doit tre formate. Les partitions que vous pouvez formater
    sont les suivantes.
    <ul>
      <li>
        <a href="def_linux-native.qml">Partition native Linux</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Partition de swap Linux</a>
      </li>
      <li>
        <a href="def_extended.qml">Partition tendue</a>
      </li>
      <li>
        <a href="def_doswin.qml">Partition DOS/Windows</a>
      </li>
    </ul>
  </p>
  <h3>
    <a name="Bootable">
      Amorable
    </a>
  </h3>
  <p>
    La colonne <strong>Amorable</strong> indique si la partition
    correspondante est amorable. En gnral, vous n'avez besoin que
    <strong>d'une</strong> partition amorable. La plupart des systmes
    ne peuvent pas grer plus d'une partition amorable.
  </p>
  <h3>
    <a name="Mount Point">
      Point de montage
    </a>
  </h3>
  <p>
    La colonne <strong>Point de montage</strong> indique le rpertoire
    dans lequel la partition correspondante sera monte. Par exemple,
    vous pouvez avoir tous les rpertoires personnels des utilisateurs
    dans une partition spare (pour des raisons de scurit ou de
    rutilisation entre les systmes) en spcifiant <strong>/home</strong>
    comme point de montage. Une partition doit tre dsigne comme
    partition <a href="def_rootpart.qml">racine</a> ('/').
  </p>
  <h3>
    <a name="Formatting">
      Formatage
    </a>
  </h3>
  <p>
    La colonne <strong>Formatage</strong> indique si la partition
    correspondante sera formate  la prochaine tape. Si elle contient
    des donnes qui seront utilises dans le nouveau systme OpenLinux mais
    elle ne doit pas tre formate (par exemple, si elle contient les
    rpertoires personnels des utilisateurs), utilisez la fonction
    <a href="fdisk.qml#Edit">Editer</a> pour que "non" apparaisse en regard
    du nom de la partition.
  </p>
  <h2>
    <a name="Button Description">
      Description du bouton
    </a>
  </h2>
  <h3>
    <a name="Edit">
      Editer
    </a>
  </h3>
  <p>
    Le bouton <strong>Editer</strong> permet de changer les paramtres
    d'une partition. Les paramtres qui peuvent tre changs sont les
    secteurs <a href="fdisk.qml#Start">Dbut</a> et
    <a href="fdisk.qml#End">Fin</a>, le type de
    <a href="fdisk.qml#System">systme</a>, le 
    <a href="fdisk.qml#Mount Point">point de montage</a>, l'indicateur
    <a href="fdisk.qml#Bootable">d'amorage</a> et si la partition doit tre
    <a href="fdisk.qml#Formatting">formate</a>. Certaines partitions doivent
    tre formates, telle la partition <a href="def_rootpart.qml">racine </a>.
  </p>
  <h3>
    <a name="Delete">
      Effacer
    </a>
  </h3>
  <p>
    le bouton <strong>Effacer</strong> permet de supprimer les
    paramtres d'une partition. Si vous voulez remettre une partition
     l'tat initial, cliquez sur ce bouton.
  </p>
  <h3>
    <a name="Add Logical">
      Ajouter logique
    </a>
  </h3>
  <p>
    Le bouton <strong>Ajouter logique</strong> permet de crer une
    partition <a href="def_logical.qml">logique</a> dans une partition
    <a href="def_extended.qml">tendue</a>. Vous ne pouvez crer une
    partition logique que si une partition tendue existe.
  </p>
  <h3>
    <a name="Write">
      Ecrire
    </a>
  </h3>
  <p>
    Le bouton <strong>Ecrire</strong> permet d'crire les informations
    concernant la partition courante dans les tables de partition du
    disque. Vous devez crire ces informations pour activer le bouton
    <strong>Suite</strong> et pouvoir continuer.
  </p>
  <h3>
    <a name="Reset">
     Rtablir
    </a>
  </h3>
  <p>
    Le bouton <strong>Rtablir</strong> permet de remettre les
    paramtres de la partition  l'tat prcdant les oprations
    effectues dans cet cran. Il "annule" donc les modifications".
  </p>
  </p>
</qml>
