<body>
<qml title="Partitionieren von Festplatten">
  <h1>
    Partitionieren von Festplatten
  </h1>
  <h2>
    <a name="Overview">
      berblick
    </a>
  </h2>
  <p>
    Vor der Installation von OpenLinux mssen Sie dafr entsprechende <a
    href="def_partition.qml">Partitionen</a> erstellen. Gewhnlich erstellen 
    Sie mindestens zwei Partitionen, eine fr die <a
    href="def_partition.qml"></a>OpenLinux-<a
    href="def_rootpart.qml">Root-Partition</a> und eine fr die OpenLinux-<a
    href="def_linux-swap.qml">Auslagerungsdatei</a>. Weitere Partitionen 
    knnen fr andere Verzeichnisse im OpenLinux-Dateisystem eingerichtet 
    werden, wie zum Beispiel eine separate Partition fr den lokalen 
    Speicherbereich der Benutzer (<b>/home</b>); weitere Informationen dazu 
    finden Sie im Abschnitt <a href="fdisk.qml#Mount Point">Mount-Punkt</a>.
  </p>
  <h2>
    <a name="Information Description">
      Beschreibung der Informationen
    </a>
  </h2>
  <p>
    Der Bildschirm fr die Festplattenpartitionierung enthlt ein Fenster 
    mit Informationen zur Festplatte. Die Spalten dieses Fensters werden 
    im folgenden Abschnitt ausfhrlich beschrieben.
  </p>
  <h3>
    <a name="Device">
      Gert
    </a>
  </h3>
  <p>
    Jeder Gertename in der Spalte <strong>Gert</strong> bezieht sich auf
    eine Festplatte, ein CD-ROM-Laufwerk oder ein sonstiges partitionierbares
    Gert. Die Partitionen der einzelnen Gerte werden ebenfalls aufgefhrt. 
    In OpenLinux gibt es die folgenden Gertenamen fr Laufwerke und 
    Partitionen:
  </p>
  <ul>
    <li>
      IDE/ATAPI-Gerte
    </li>
    <ul>
      <li>
        <strong>/dev/hda</strong> = Erster IDE-Kanal, Master-Gert
      </li>
      <li>
        <strong>/dev/hdb</strong> = Erster IDE-Kanal, Slave-Gert
      </li>
      <li>
        <strong>/dev/hdc</strong> = Zweiter IDE-Kanal, Master-Gert
      </li>
      <li>
        <strong>/dev/hdd</strong> = Zweiter IDE-Kanal, Slave-Gert
      </li>
    </ul>
    <li>
      SCSI-Gerte
    </li>
    <ul>
      <li>
        <strong>/dev/sda</strong> = Erste SCSI-Festplatte
      </li>
      <li>
        <strong>/dev/sdb</strong> = Zweite SCSI-Festplatte
      </li>
      <li>
        <strong>/dev/sdc</strong> = Dritte SCSI-Festplatte
      </li>
      <li>
        usw.
      </li>
    </ul>
  </ul>
  <p>
    Die meisten vorkonfigurierten Systeme haben eine IDE-Festplatte und 
    ein ATAPI CD-ROM-Laufwerk. Bei diesen Systemen ist normalerweise die 
    IDE-Festplatte standardmig als erstes Master-Gert oder 
    <strong>/dev/hda</strong> und das CD-ROM-Laufwerk als zweites 
    Master-Gert oder <strong>/dev/hdc</strong> konfiguriert.
  </p>
  <p>
    Jedes Laufwerk wird in Partitionen unterteilt. Bevor diese Partitionen
    verwendet werden knnen, mssen sie jedoch in Abhngigkeit von den Daten,
    die darauf gespeichert werden sollen, initialisiert bzw. formatiert 
    werden. Diese Systemtypen werden weiter unten im Abschnitt 
    <a href="fdisk.qml#System">System</a> behandelt.
  </p>
  <p>
    Als Konvention fr die Bezeichnung der Partitionen auf Festplatten wird 
    einfach eine Zahl, beginnend mit 1, an den Gertenamen der Festplatte 
    angehngt. Zum Beispiel wird die erste Partition auf der primren Master-
    IDE-Festplatte als <strong>/dev/hda1</strong> und die zweite Partition auf 
    derselben Festplatte als <strong>/dev/hda2</strong> usw. bezeichnet.
  </p>
  <h3>
    <a name="Start">
      Start
    </a>
  </h3>
  <p>
    Die Spalte <strong>Start</strong> bezieht sich auf den <a 
    href="def_sectors.qml">Startsektor</a> der entsprechenden Partition 
    oder Festplatte. Wenn zum Beispiel <b>/dev/hda1</b> am Anfang der 
    Festplatte beginnt, lautet der Startsektor 1.
  </p>
  <p>
    Siehe auch:  <a href="fdisk.qml#End">Ende</a>
  </p>
  <h3>
    <a name="End">
      Ende
    </a>
  </h3>
  <p>
    Die Spalte <strong>Ende</strong> entspricht weitgehend der Spalte <a
    href="fdisk.qml#Start">Start</a>, mit dem Unterschied, da sie den <a 
    href="def_sectors.qml">Endsektor</a> der Partition oder Festplatte 
    angibt. Die <strong>Start-</strong> und <strong>Endsektoren</strong> 
    reprsentieren den <a href="def_sector-range.qml">Sektorenbereich</a>,
    den eine bestimmte Partition oder Festplatte verwendet.  
  </p>
  <h3>
    <a name="Size">
      Gre
    </a>
  </h3>
  <p>
    Die Spalte <strong>Gre</strong> enthlt die aktuelle Gre der 
    entsprechenden Partition. MB steht fr Megabytes.
  </p>
  <h3>
    <a name="System">
      System
    </a>
  </h3>
  <p>
    In der Spalte <strong>System</strong> ist der Systemtyp angegeben, fr 
    den die Partition formatiert wird. Damit eine Partition zum Speichern 
    von Daten oder zur Installation eines Betriebssystems genutzt werden 
    kann, mu sie zuerst formatiert werden. Es gibt die folgenden 
    Formatierungsarten:
    <ul>
      <li>
        <a href="def_linux-native.qml">Linux Nativ</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li>
        <a href="def_extended.qml">Erweitert</a>
      </li>
      <li>
        <a href="def_doswin.qml">DOS/Windows</a>
      </li>
    </ul>
  </p>
  <h3>
    <a name="Bootable">
      Bootfhig
    </a>
  </h3>
  <p>
    Die Spalte <strong>Bootfhig</strong> zeigt an, ob die Partition 
    gebootet werden kann. Normalerweise arbeiten Sie nur mit 
    <strong>einer</strong> bootfhigen Partition, da die meisten Systeme 
    nicht wissen, wie sie sich verhalten sollen, falls sie mehrere 
    bootfhige Partitionen finden.
  </p>
  <h3>
    <a name="Mount Point">
      Mount-Punkt
    </a>
  </h3>
  <p>
    In der Spalte <strong>Mount-Punkt</strong> wird angezeigt, mit welchem 
    Verzeichnis die entsprechende Partition verknpft wird. Zum Beispiel 
    knnten Sie fr die Basisverzeichnisse aller Benutzer eine eigene 
    Partition anlegen (aus Sicherheitsgrnden oder zur Wiederverwendung 
    auf verschiedenen Systemen), indem Sie <strong>/home</strong> als 
    Mount-Punkt angeben. Eine der Partitionen mu als <a
    href="def_rootpart.qml">Root-Partition</a> ('/') definiert werden.
  </p>
  <h3>
    <a name="Formatting">
      Formatieren
    </a>
  </h3>
  <p>
    Die Spalte <strong>Formatieren</strong> zeigt an, ob die zugehrige 
    Partition im nchsten Schritt formatiert wird. Wenn Sie Daten besitzen,
    die in dem neuen OpenLinux-System verwendet, jedoch nicht formatiert 
    werden sollen (zum Beispiel in den Basisverzeichnissen der Benutzer),
    setzen Sie diese Spalte mit der Funktion <a  href="fdisk.qml#Edit">Bearbeiten</a> unbedingt auf "Nein".
  </p>
  <h2>

    <a name="Button Description">
      Beschreibung der Schaltflchen
    </a>
  </h2>
  <h3>
    <a name="Edit">
      Bearbeiten
    </a>
  </h3>
  <p>
    Mit der Schaltflche <strong>Bearbeiten</strong> ndern Sie die Parameter
    einer Partition. Sie knnen die folgenden Parameter bearbeiten: Die 
    <a href="fdisk.qml#Start">Start-</a> und 
    <ahref="fdisk.qml#End">Endsektoren</a>, 
    den <a href="fdisk.qml#System">Systemtyp</a>,
    den <a href="fdisk.qml#Mount Point">Mount-Punkt</a>, das Attribut 
    <a href="fdisk.qml#Bootable">Bootfhig</a>, und Sie knnen bestimmen, 
    ob die Partition <a href="fdisk.qml#Formatting">formatiert</a> werden 
    soll. Einige Partitionen mssen formatiert werden, wie zum Beispiel die 
    <a href="def_rootpart.qml">Root</a>-Partition.
  </p>
  <h3>
    <a name="Delete">
      Lschen
    </a>
  </h3>
  <p>
    Mit der Schaltflche <strong>Lschen</strong> werden die Parameter
    einer Partition gelscht. Mit dieser Schaltflche setzen Sie
    auerdem die Einstellungen einer Partition zurck.
  </p>
  <h3>
    <a name="Add Logical">
      Logische Partition hinzufgen
    </a>
  </h3>
  <p>
    Mit der Schaltflche <strong>Logische Partition hinzufgen</strong> 
    erstellen Sie eine <a href="def_logical.qml">logische</a> Partition 
    innerhalb einer <a href="def_extended.qml">erweiterten</a> Partition. 
    Eine logische Partition knnen Sie nur erstellen, wenn eine erweiterte 
    Partition vorhanden ist.
  </p>
  <h3>
    <a name="Write">
      Schreiben
    </a>
  </h3>
  <p>
    Die Schaltflche <strong>Schreiben</strong> verwenden Sie, um die 
    aktuellen Partitionsdaten in die Partitionstabellen der Festplatte zu 
    schreiben. Erst wenn Sie die Partitionsdaten geschrieben haben, ist die
    Schaltflche <strong>Weiter</strong> verfgbar, und erst dann knnen Sie
    die Installation fortsetzen.
  </p>
  <h3>
    <a name="Reset">
      Zurcksetzen
    </a>
  </h3>
  <p>
    Mit der Schaltflche <strong>Zurcksetzen</strong> setzen Sie die
    Partitionseinstellungen wieder auf die ursprnglichen Werte zurck, die
    vor dem ffnen dieses Bildschirms Gltigkeit hatten. Diese Schaltflche
    macht im Prinzip alle nderungen rckgngig.
  </p>
</qml>
