<qml title="Netzwerk einrichten">

<h1>Netzwerk einrichten</h1>

<p>
 Auf dieser Seite knnen Sie ein <a href="def_tcpip.qml">TCP/IP</a>-Netzwerk
 fr Ethernet-Gerte konfigurieren. Wenn Ihr Computer ein DF-Netzwerk
 verwendet oder an einen anderen Netzwerktyp angeschlossen ist, richten Sie
 bitte das Netzwerk erst ein, <em>nachdem<em> OpenLinux komplett installiert
 ist. Weitere Informationen zur Einrichtung anderer Netzwerkgerte finden Sie
 unter <b>http://support.calderasystems.com<b>.
</p>

<h3>Konfigurationsparameter</h3>

<p>
Es gibt die folgenden Felder:
</p>

<ul>
	<li><b>IP-Adresse:</b> - Die Adresse Ihres Computers in Ihrem 
	    Netzwerk
	<li><b>Netzmaske:</b> - Gibt an, welches der vier Bytes der Adresse 
	    fr die Netzwerkspezifikation verwendet wird. Mit den restlichen 
	    Zahlen werden individuelle Computeradressen definiert. Ein Byte 
	    wird mit der Zahl <b>255</b> als Netzwerk-ID ausgewiesen.
	    Zum Beispiel bedeutet die Netzmaske 255.255.255.0, da die ersten
	    drei Byte Werte fr die Netzwerkadresse enthalten, whrend das 
	    letzte, unmaskierte Byte fr individuelle Computeradressen verwendet
	    wird.
	<li><b>Gateway:</b> - Die Adresse des Computers, der als Zugang zu
            einem anderen Netzwerk dient, meist zum Internet.  
	<li><b>DNS-Server:</b> - Der Domain Name Server wird zurbersetzung von
            Hostnamen in IP-Adressen bentigt (zum Beispiel um 
            <b>www.calderasystems.com</b> in <b>207.179.39.7</b> zu
             bersetzten).
	<li><b>Backup #1:</b> - Hier geben Sie fr den Fall, da der 
	    Hauptnamensserver ausfllt, einen Backup-Namensserver an.
	<li><b>NIS-Domain:</b> - Wenn Ihr Computer mit einem Netzwerk verbunden 
	    wird, das von NIS verwaltet wird, geben Sie in dieses Feld die 
	    NIS-Domne ein. Andernfalls lassen Sie dieses Feld leer.
	<li><b>Hostname:</b> - Geben Sie den vollstndigen Namen Ihres Computers
	    einschlielich Domne und sonstigen Angaben ein (wenn Ihr Computer
          beispielsweise <b>Peter</b> heit und Sie mit einem Netzwerk verbunden
	    sind, dessen Domnenname <b>void.com</b> lautet, geben Sie in dieses
	    Feld <b>Peter.void.com</b> ein).  
</ul>

<p>

Bercksichtigen Sie die folgenden Tips, wenn Sie ein privates Netzwerk, d.h. ein Netzwerk, das nicht direkt mit dem Internet verbunden ist, einrichten:

</p>

<ul>
	<li>Der Adrebereich 192.168.0.0 bis 192.168.255.0. ist von den 
	    TCP/IP-Protokollspezifikationen fr private "Class C"-Netzwerke 
	    reserviert. Alle Adressen in diesem Bereich knnen Sie bedenkenlos 
	    fr Ihre Computer benutzen, vorausgesetzt, jede IP-Adresse kommt 
	    nur einmal im Netzwerk vor.
	<li>Verwenden Sie als Netzmaske 255.255.255.0, es sei denn, Sie mchten
          das Netzwerk in "Teilnetze" unterteilen.
	<li>Geben Sie nur dann eine Gateway-Adresse an, wenn Ihr Netzwerk 
	    ber einen anderen Computer, auf dem TCP/IP ausgefhrt wird, mit
	    einem anderen Netzwerk verbunden ist! Verwenden Sie diese 
	    Vorgehensweise nur, wenn Sie tatschlich ein Gateway zu einem 
	    separaten Netzwerk nutzen (ein Beispiel hierfr wre ein Netzwerk,
	    in dem nur ein Computer tatschlich mit dem Internet verbunden ist, 
	    whrend alle anderen Computer ihre Verbindung zum Internet ber 
	    diesen Computer herstellen mssen; der zuerst genannte, mit dem
          Internet verbundene Computer dient in diesem Fall als Gateway fr die 
	    anderen Computer). Benutzer, die nur ber das Modem auf das 
	    Internet zugreifen, mssen normalerweise hier <em>keine</em> 
	    Gateway-Adresse angeben.
</ul>
<h3>Kein Netzwerk</h3>
  
  <p>
    Mit dieser Option wird die Konfiguration der Ethernet-Gerte komplett
    bersprungen. Sie knnen aber dennoch einen Hostnamen fr Ihr
    System auswhlen. 
  </p>

  <p>
    Verwenden Sie diese Option, wenn Sie nicht direkt mit einem 
    Ethernet-Netzwerk verbunden sind oder die Konfiguration
    zu einem spteren Zeitpunkt durchfhren wollen. Sie
    knnen andere Netzwerkadaptertypen und DF-Netzwerke mit
    <em>COAS</em> konfigurieren, sobald die Installation 
    abgeschlossen ist.
  </p>


  <h3>Netzwerk statisch konfigurieren</h3>

  <p>
    Whlen Sie diese Option aus, wenn Sie eine Ethernet-Karte 
    besitzen und ein <a href="def_tcpip.qml">TCP/IP</a>-Netzwerk
    manuell konfigurieren mchten. Geben Sie anschlieend
    die Netzwerkparameter Ihres Computers in die dafr vorgesehenen
    Felder ein. Ganz gleich, was Sie tun, selektieren Sie nicht wahllos
    Adressen, um sie in diese Felder einzugeben! Wenn Sie bereits
    in einem TCP/IP-Netzwerk arbeiten, ist es sehr leicht mglich,
    da Sie die Adresse eines anderes Benutzers verwenden, wenn Sie
    nicht vorsichtig sind.
  </p>

  <p>
    Wenn in Ihrem Netzwerk ein DHCP-Server installiert ist, knnen
    Sie ganz einfach die IP-Adresse eingeben. Ihr Computer sendet
    daraufhin eine Abfrage an den Server und gibt die restlichen
    Parameter an.
  </p>

  <p>
    Verwenden Sie diese Option, wenn Sie die IP-Adressen des Computers
    manuell zuweisen wollen, oder wenn in Ihrem Netzwerk
    kein DHCP-Server installiert ist.
  </p>
  

  <h3>Netzwerk ber DHCP konfigurieren</h3>

  <p>
    Diese Option weist Ihren Computer an, seine Netzwerkkonfiguration
    automatisch von einem DHCP-Server im Netzwerk abzurufen. Wenn
    der Computer mit dieser Option konfiguriert wird, sendet er 
    auch bei jedem Boot-Vorgang eine Abfrage an den DHCP-Server und 
    aktualisiert seine Konfiguration automatisch.
  </p>

  <p>
    Verwenden Sie diese Option, wenn Sie einen DHCP-Server fr Ihr
    Netzwerk eingerichtet haben und Ihr Netzwerk dynamisch
    konfiguriert werden soll.
  </p>

</qml>

