<qml title="Impostazione dei nomi">
<h1>Impostazione dei nomi di accesso</h1>

<p>

La natura <a href="def_multiusertasking.qml">multiutente</a> di un sistema Linux consente ad una macchina di fornire servizi a pi utenti. Un buon esempio di tale sistema  rappresentato da un server gestito da un ISP.  Gran parte dei provider Internet dispongono di macchine con sistemi operativi simili a Linux e ciascuna di tali macchine offre servizi a pi utenti con pi account di accesso.

</p>
<p>

Il sistema Linux che si sta installando opera pi o meno nello stesso modo.  Su una sola macchina possono risiedere molti account di accesso ed ognuno  accessibile mediante un nome ed una password di accesso univoci.

</p>
<p>

In questa schermata  necessario impostare almeno un normale account di accesso che verr utilizzato per le operazioni quotidiane.  Il motivo di ci  semplice:

</p>
<p>

A meno che non si esegua qualche tipo di configurazione o manutenzione del computer,  necessario <em>non</em> collegarsi come utente radice.  <p>  <em>caldamente sconsigliato</em> collegarsi sempre come utente 'radice' perch nulla impedirebbe l'alterazione accidentale dei file di configurazione o di documenti importanti.  Almeno, quando si accede come utente normale, tali file importanti sono protetti dalle alterazioni.

</p>
<p>

<h2>Spiegazione dei vari campi</h2>

<p>

Esaminando i vari campi presenti in questa schermata, si riscontrano le seguenti opzioni:

</p>
<h3>Nome completo</h3>

<p>

Inserire il nome completo dell'utente di cui si sta impostando l'account di accesso. Se tale account viene impostato per un gruppo di persone, ad esempio nel caso di un account generico per gli amministratori di database, aggiungere in questo campo una spiegazione che descriva il gruppo per cui  creato l'account.

</p>

<h3>Nome di accesso</h3>

<p>

Si tratta del campo in cui inserire il vero e proprio nome dell'account.  Durante la fase di accesso,  questo il nome che verr inserito nella richiesta di accesso.  In genere, per il nome di accesso viene utilizzata una leggera variazione del testo inserito nel campo "Nome completo", ad esempio, se nel campo "Nome completo"  stato inserito "Mario Rossi",  buona norma che qui venga specificato "mrossi" o "marior".

</p>
<p>

Si noti che su un sistema ciascun nome di accesso deve essere univoco.  Vale a dire che non possono esistere due account "mrossi"; una volta utilizzato un nome di accesso, questo non pu essere assegnato ad altri account sul sistema.

</p>

<h3>Password</h3>

<p>

Nel processo di accesso, l'elemento di verifica pi importante  rappresentato dalla password.  Senza di essa, nessuno potrebbe accedere all'account, fatta esclusione per l'amministratore che  in grado di accedervi senza password - si tratta di una misura di sicurezza, in tal modo nemmeno gli amministratori di sistema sono a conoscenza delle password degli utenti.

</p>
<p>

Assicurarsi di scegliere una password abbastanza insolita in modo che sia difficile individuarla. Spesso si utilizzano varie combinazioni di lettere, numeri e punti.  <em>Non</em> utilizzare mai parole semplici da individuare come password!  Provare a pensare a quale password sarebbe facilmente individuabile da una persona che volesse penetrare nel vostro account e <em>non utilizzarla</em>, ad esempio, se  nota la propria passione per le macchine d'epoca  non scegliere password quali "modelloT" o "bugatti" perch risulterebbero di facile individuazione per gli altri.  Pi la password risulta lontana dai propri interessi personali e pi insolita  la combinazione di lettere, numeri e punti utilizzata, meglio sar.

</p>
<p>

Inoltre si consiglia di non scriversi mai la password, il foglio potrebbe essere riposto in qualche luogo di facile accesso oppure gettato e quindi essere agevolmente rintracciato.

</p>

<h3>Conferma ortografia</h3>

<p>

Esiste sempre la possibilit che la password, soprattutto le prime volte e specialmente quando  particolarmente insolita, venga digitata in maniera errata.  Questo campo obbliga a reinserire la password per accertarsi che sia digitata correttamente. Se quanto inserito qui non corrisponde alla parola digitata nel campo "Password", la password non verr assegnata all'account di accesso.  Solo quando entrambe le versioni della password corrisponderanno le modifiche avranno effetto.

</p>

<h3>Shell di accesso</h3>

<p>

La shell di accesso fornisce un ambiente in cui  possibile eseguire i comandi ed avviare le applicazioni da un prompt di comandi.  Inoltre fornisce funzioni di script che consentono di disporre in sequenza l'esecuzione di comandi e programmi mediante l'effettuazione di un solo comando.  La funzione  molto simile al modo di operare del DOS, con COMMAND.COM ed il linguaggio script "batch" da esso fornito. Le funzioni e gli scopi di COMMAND.COM del DOS sono molto simili alle shell di accesso di Linux, sebbene molto meno potenti e versatili.

</p>
<p>

La shell di accesso Linux pi comune  la GNU Bourne-Again Shell, denominata anche "<b>bash</b>".  Somiglia molto alla Bourne Shell classica fornita con alcune varianti di UNIX, ma con diversi perfezionamenti, ad esempio il completamento della riga di comando, vale a dire la capacit di digitare solo poche lettere, premere il tasto Tab ed il resto del comando o del nome file viene completato automaticamente, oltre a miglioramenti del linguaggio script.

</p>
<p>

La shell successiva offerta in questa schermata  una variazione della Shell "C" Berkley denominata "<b>tcsh</b>".  Coloro che approdano a Linux con esperienze su BSD UNIX  probabile che utilizzeranno questa shell di accesso piuttosto che la bash. Il linguaggio script  abbastanza esteso e la sintassi  molto simile a quella del linguaggio di programmazione C.

</p>
<p>

La terza shell offerta  "<b>zsh</b>".  Questa shell comprende varie funzioni sia della bash che della tcsh, che la rendono una specie di ibrido per coloro che non hanno la possibilit di scegliere tra le altre due.

</p>
<p>

A meno che non vi sia una chiara necessit di fare altrimenti, si consiglia di scegliere la <b>bash</b> per tutti i nuovi account di accesso.

</p>
<p>

<h3>Il pulsante Aggiungi utente</h3>

<p>

Una volta scelte tutte le opzioni e compilati tutti i campi, fare clic su questo pulsante per creare un nuovo account di accesso.  Le nuove informazioni sull'account vengono visualizzate nella finestra sotto il pulsante dopo che questo  stato selezionato.

</p>

</qml>
