<body> <qml title="Partitioning Hard Disks">
  <h1> Divisione in partizioni dei dischi rigidi
  </h1>
  <h2> <a name="Overview"> Panoramica </a>
  </h2>
  <p> Prima di poter installare OpenLinux,  necessario creare delle <a href="def_partition.qml">partizioni</a> in cui collocarlo.  In genere sono necessarie almeno due partizioni, una per la partizione OpenLinux  <a href="def_rootpart.qml">radice</a> ed un'altra per la partizione OpenLinux  <a href="def_linux-swap.qml">di swapping</a>.   possibile creare altre partizioni in altre directory all'interno del file system OpenLinux, ad esempio lo spazio di memoria locale degli utenti (/home) pu avere una sua propria partizione, come descritto nella sezione <a href="fdisk.qml#Mount Point">Punto di caricamento</a>.
  </p>
  <h2> <a name="Information Description"> Descrizione delle informazioni </a>
  </h2>
  <p> Sulla schermata di partizionamento del disco rigido viene visualizzata una finestra che contiene informazioni sul disco rigido.  Ciascuna colonna  descritta pi dettagliatamente in seguito.
  </p>
  <h3> <a name="Device"> Dispositivo </a>
  </h3>
  <p> Ciascun nome di dispositivo nella colonna <strong>Dispositivo</strong> si riferisce ad un disco rigido, ad un'unit CD-ROM o ad altri dispositivi che  possibile dividere in partizioni.  Sono inoltre incluse le partizioni su ciascun dispositivo.  I nomi dei dispositivi per unit e partizioni in OpenLinux sono i seguenti:
  </p>
  <ul>
    <li> Dispositivi IDE/ATAPI
    </li>
    <ul>
      <li> <strong>/dev/hda</strong> = Canale IDE primario, dispositivo master
      </li>
      <li> <strong>/dev/hdb</strong> = Canale IDE primario, dispositivo slave
      </li>
      <li> <strong>/dev/hdc</strong> = Canale IDE secondario, dispositivo master
      </li>
      <li> <strong>/dev/hdd</strong> = Canale IDE secondario, dispositivo slave
      </li>
    </ul>
    <li> Dispositivi SCSI
    </li>
    <ul>
      <li> <strong>/dev/sda</strong> = Il primo disco rigido SCSI/unit CD-ROM
      </li>
      <li> <strong>/dev/sdb</strong> = Il secondo disco rigido SCSI/unit CD-ROM
      </li>
      <li> <strong>/dev/sdc</strong> = Il terzo disco rigido SCSI/unit CD-ROM
      </li>
      <li> e cos via.
      </li>
    </ul>
  </ul>
  <p> Molti sistemi precostruiti comprendono un disco rigido IDE ed un'unit CD-ROM ATAPI.  Su tali sistemi, in genere l'impostazione predefinita prevede che il disco rigido IDE sia il dispositivo master primario o <strong>/dev/hda</strong>, mentre l'unit CD-ROM  il dispositivo master secondario o <strong>/dev/hdc</strong>.
  </p>
  <p> Ciascuna unit  divisa in partizioni. Tuttavia, prima di utilizzare tali partizioni  necessario inizializzarle o formattarle in base al tipo di dati che dovranno contenere.  I tipi di sistema sono descritti nella sezione <a href="fdisk.qml#System">Sistema</a> riportata di seguito.
  </p>
  <p> La convenzione per il riferimento alle partizioni su ciascun disco rigido  quella di inserire semplicemente un numero alla fine del nome del disco, partendo da 1 (uno).  Ad esempio, la prima partizione del disco IDE master primario  indicata con <strong>/dev/hda1</strong>, la seconda partizione dello stesso disco con <strong>/dev/hda2</strong> e cos via.
  </p>
  <h3> <a name="Start"> Iniziale </a>
  </h3>
  <p> La colonna <strong>Iniziale</strong> si riferisce al <a href="def_sectors.qml">settore</a> iniziale della partizione o del disco corrispondente. Ad esempio, se /dev/hda1 comincia all'inizio del disco, il settore iniziale sar 1.
  </p>
  <p> Vedere anche:  <a href="fdisk.qml#End">Finale</a>
  </p>
  <h3> <a name="End"> Finale </a>
  </h3>
  <p> La colonna <strong>Finale</strong>  molto simile alla colonna  <a href="fdisk.qml#Start">Iniziale</a>, solo che indica il <a href="def_sectors.qml">settore</a> finale della partizione o del disco. I settori <strong>iniziale</strong> e <strong>finale</strong> rappresentano l'<a href="def_sector-range.qml">intervallo</a> di settori utilizzati dalla partizione o dal disco.
  </p>
  <h3> <a name="Size"> Dimensioni </a>
  </h3>
  <p> La colonna <strong>Dimensioni</strong> contiene le dimensioni correnti della partizione corrispondente.  MB rappresenta i megabyte.
  </p>
  <h3> <a name="System"> Sistema </a>
  </h3>
  <p> La colonna <strong>Sistema</strong> contiene il tipo di sistema per cui verr formattata la partizione.  Prima di poter utilizzare una partizione per memorizzarvi i dati o per inserirvi un sistema operativo,  necessario formattarla.  I tipi di formattazione disponibili sono
    <ul>
      <li> <a href="def_linux-native.qml">Linux Native</a>
      </li>
      <li> <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li> <a href="def_extended.qml">Estesa</a>
      </li>
      <li> <a href="def_doswin.qml">DOS / Windows</a>
      </li>
    </ul>
  </p>
  <h3> <a name="Bootable"> Avviabile </a>
  </h3>
  <p> La colonna <strong>Avviabile</strong> indica se la partizione corrispondente sar o meno avviabile.  In genere si stabilisce <strong>una</strong> sola partizione avviabile, dato che molti sistemi non saprebbero che fare se ne trovano di pi.
  </p>
  <h3> <a name="Mount Point"> Punto di caricamento </a>
  </h3>
  <p> La colonna <strong>Punto di caricamento</strong> viene utilizzata per visualizzare la directory in cui verr caricata la partizione corrispondente.  Ad esempio,  possibile inserire tutte le directory principali degli utenti su una partizione distinta (per sicurezza o per essere utilizzate da pi sistemi) specificando <strong>/home</strong> come punto di caricamento.   necessario che una partizione sia designata come partizione <a href="def_rootpart.qml">radice</a> ('/').
  </p>
  <h3> <a name="Formatting"> Formattazione </a>
  </h3>
  <p> La colonna <strong>Formattazione</strong> indica se la partizione corrispondente verr o meno formattata nella fase successiva.  Se si dispone di dati che verranno utilizzati nel nuovo sistema OpenLinux ma non devono essere formattati (ad esempio nelle directory principali degli utenti), assicurarsi che sia selezionato "no" utilizzando la funzione <a href="fdisk.qml#Edit">Modifica</a>.
  </p>
  <h2> <a name="Button Description"> Descrizione dei pulsanti </a>
  </h2>
  <h3> <a name="Edit"> Modifica </a>
  </h3>
  <p> Il pulsante <strong>Modifica</strong> serve per modificare i parametri di una partizione.  I parametri che si possono modificare includono i settori <a href="fdisk.qml#Start">Iniziale</a> e <a href="fdisk.qml#End">Finale</a>, il tipo di <a href="fdisk.qml#System">Sistema</a>, il <a href="fdisk.qml#Mount Point">Punto di caricamento</a>, il contrassegno <a href="fdisk.qml#Bootable">Avviabile</a> e se <a href="fdisk.qml#Formatting">formattare</a> o meno la partizione.  Per alcune partizioni, quale la partizione <a href="def_rootpart.qml">radice</a>, la formattazione  necessaria.
  </p>
  <h3> <a name="Delete"> Elimina </a>
  </h3>
  <p> Il pulsante <strong>Elimina</strong> serve per eliminare i parametri da una partizione.  Se si desidera reimpostare una partizione, utilizzare questo pulsante.
  </p>
  <h3> <a name="Add Logical"> Aggiungi logica </a>
  </h3>
  <p> Il pulsante <strong>Aggiungi logica</strong> crea una partizione  <a href="def_logical.qml">logica</a> all'interno di una partizione <a href="def_extended.qml">estesa</a>.  Una partizione logica pu essere creata solo esiste una partizione estesa.
  </p>
  <h3> <a name="Write"> Scrivi </a>
  </h3>
  <p> Il pulsante <strong>Scrivi</strong> serve a scrivere le informazioni sulla partizione corrente nelle tabelle delle partizioni del disco.   necessario scrivere le informazioni sulla partizione prima che il pulsante <strong>Avanti</strong> sia reso disponibile e quindi continuare le operazioni.
  </p>
  <h3> <a name="Reset"> Reimposta </a>
  </h3>
  <p> Il pulsante <strong>Reimposta</strong> serve a ripristinare le impostazioni originali della partizione, cio le impostazioni che aveva prima di entrare in questa schermata.  Questo pulsante pu essere ritenuto un pulsante di annullamento di tutte le modifiche.
  </p>
</qml>
