<qml title="Impostazione delle funzionalit di rete">

<h1>Impostazione delle funzionalit di rete</h1>

<p>
Questa pagina elenca i vari modi in cui si pu collegare ad una rete <a href="def_tcpip.qml">TCP/IP</a> tramite una scheda ethernet.  Se manca una scheda oppure si desidera collegare ad una connessione remota, si prega differire l'impostazione delle funzionalit finch non finisca l'installazione di OpenLinux. Per ricevere ulteriori informazioni sugli altri tipi di dispositivi di rete vedere <b>http://support.calderasystems.com</b>.
</p>

<h3>Parametri di configurazione</h3>
<p>
I campi sono divisi nel modo seguente:
</p>

<ul>
	<li><b>Indirizzo IP:</b> - L'indirizzo effettivo della propria macchina sulla rete a cui si sta effettuando il collegamento.
	<li><b>Maschera:</b> - Indica quale dei quattro byte nell'indirizzo vengono utilizzati per le specifiche di rete.  I numeri a sinistra servono ad indicare gli indirizzi specifici della macchina.  Un byte assume il valore di specificazione di rete quando nella sua posizione viene immesso <b>255</b> (ad esempio, la maschera 255.255.255.0 indica che i primi tre byte contengono i valori che costituiscono l'indirizzo di rete effettivo, mentre gli ultimi, i byte senza mascheratura, vengono utilizzati per gli indirizzi specifici della macchina).
	<li><b>Gateway:</b> - Si tratta dell'indirizzo della macchina che opera come una sorta di ingresso verso un'altra rete, di solito verso Internet.
	<li><b>Server dei nomi:</b> - La macchina qui indicata esegue un pacchetto server che traduce i nomi delle macchine in indirizzi IP (ad esempio, <b>www.calderasystems.com</b> viene tradotto in <b>207.179.39.7</b>).
	<li><b>Backup n.1:</b> - Qui  possibile specificare il server dei nomi di backup nel caso che quello principale risulti inaccessibile.
	<li><b>Dominio NIS:</b> - Se si sta per collegare la macchina ad una rete gestita da un NIS, inserire il dominio NIS in questo campo.  Altrimenti lasciarlo in bianco.
	<li><b>Nome host:</b> - Inserire il nome completo della macchina, il dominio e le eventuali altre informazioni, ad esempio, se il nome della macchina  "fred" e la propria rete utilizza "void.com" come nome di dominio, in questo campo  necessario immettere "fred.void.com".
</ul>

<p>

Se non si  collegati ad un'altra rete ma se ne sta impostando una private, di seguito sono forniti alcuni suggerimenti utili:

</p>

<ul>
	<li>Esiste una serie di indirizzi riservati dalle specifiche del protocollo TCP/IP che  possibile utilizzare per reti private di "classe C": da 192.168.0.0 a 192.168.255.0.   possibile utilizzare qualsiasi indirizzo compreso in questa serie per le singole macchine, basta che due macchine sulla stessa rete non abbiano lo stesso indirizzo IP.
	<li>A meno che non si desideri suddividere la rete in "sottoreti",  necessario utilizzare la maschera 255.255.255.0.
	<li>Non deve essere specificato un indirizzo gateway, a meno che la rete non sia collegata ad un'altra rete attraverso un'altra macchina che utilizza il protocollo TCP/IP.  Utilizzare tale indirizzo solo se si esegue effettivamente un collegamento ad una rete distinta, ad esempio, quando nella rete esiste una macchina che  effettivamente collegata ad Internet e tutte le altre macchine si connettono ad Internet tramite tale macchina, quest'ultima rappresenta il gateway per le altre macchine.  Chi accede ad Internet mediante un modem, in genere <em>non</em> deve specificare un indirizzo gateway qui.
</ul>

<h3>Senza Ethernet</h3>

<p>
Questa opzione salta completamente l'impostazione della scheda ethernet.  Tuttavia, sar possible selezionare il nome host per il vostro sistema. 
</p>

<p>
Scegliere questa opzione se non si ha una connessione diretta ad una rete ethernet oppure se bisogna trattenere l'impostazione.  Dopo che l'installazione avr finito, allora si potr continuare con l'impostazione tramite <em>COAS</em>.
</p>

<h3>Ethernet configurata staticamente</h3>
<p>
Se si dispone di una scheda ethernet e si desidera collegarsi ad una rete <a href="def_tcpip.qml">TCP/IP</a>,  necessario inserire gli indirizzi del proprio computer nei campi appropriati. In qualunque caso, non selezionare indirizzi a caso da inserire in questi campi! Quando si  gi collegati ad una rete TCP/IP, se non si fa attenzione si rischia di prendere l'indirizzo di altri utenti.
</p>

<h3>Ethernet configurata con DHCP</h3>
<p>
Infine, se si  collegati ad una rete che utilizza il protocollo DHCP (Dynamic Host Control Protocol) per allocare dinamicamente le informazioni sull'indirizzo sopra elencate,  sufficiente selezionare questa opzione.  Si richiede inserire l'indirizzo del server DHCP.  Da allora in poi, ad ogni avvio del sistema, il computer si aggiorner dinamicamente la connessione DHCP.

</p>

</qml>
